Subject: Re: bug#12357: 24.2; list-load-path-shadow should ignore .dir-locals.el

From: Johan Claesson <[email-masked]>
Date: Wed, 05 Mar 2014 08:09:20 +0100

Well i would like the false positives to go away.  That is the problem
this attempts to fix.  

How about a defvar load-path-shadows-report-dir-locals instead?
It would of course be true by default to preserve legacy behaviour. 

Regards,

/Johan

Leo Liu <[email-masked]> writes:

> On 2014-03-05 06:29 +0800, Johan Claesson wrote:
>> 	* emacs-lisp/shadows.el (load-path-shadows-find): Do not report
>> 	.dir-locals.el files. 
>> 	(list-dir-locals-shadows): New command that reports shadows of
>> 	.dir-locals.el in a way that make sense for that type of file. 
>> 	(dir-locals-shadows-find, dir-locals-shadows-find-1)
>> 	(dir-locals-class-name, dir-locals-shadows-display): Auxiliary
>> 	functions for list-dir-locals-shadows.
>
> I am not too sure what problems are solved by the change.
>
> In the case of list-load-path-shadows, it should print anything when in
> doubt since false positives can be helpful. So it is not entirely wrong
> to report .dir-locals.el.
>
> Use .dir-locals.el in a child directory to shadow parent directory isn't
> uncommon practice. In future we might even make it capable of inheriting
> settings in parent directory. So I am not even sure the use case of
> listing .dir-locals files (defaulting to the load-path)??
>
> Leo